uk.gov.hmrc.mongo.play.json

# Codecs

###
Related Docs: trait Codecs | package json

#### object Codecs extends Codecs

Linear Supertypes
Codecs, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Codecs
2. Codecs
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### val logger: Logger

    Definition Classes
      Codecs

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### def playFormatCodec[A](format: Format[A], legacyNumbers: Boolean = false)(implicit ct: ClassTag[A]): Codec[A]

    legacyNumbers

      `true` will preserve the Number modifications which occured with simple-reactivemongo when storing extremely large and small numbers. The default value `false` should be preferred in most cases. This does change the previous behaviour from reactivemongo, but only for extreme values not within typical usage (e.g. 4.648216657858037E+74). This ensures that should numbers in this extreme range occur, they will be stored and retrieved accurately, whereas with the legacy behaviour they may be modified in unexpected ways.

    Definition Classes
      Codecs

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toBson[A](a: A, legacyNumbers: Boolean = false)(implicit arg0: Writes[A]): BsonValue

    Definition Classes
      Codecs

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Codecs

### Inherited from AnyRef

### Inherited from Any

### Ungrouped